API ReferencePosts
Get a post
Retrieve a single post by ID, including thread items and per-item platform post IDs and URLs. Returns 404 if the post does not exist in the active workspace.
Authorization
ApiKey AuthorizationBearer <token>
API key in the format smcp_<64 hex chars>.
In: header
Path Parameters
workspaceId*string
id*string
Response Body
application/json
application/json
curl -X GET "https://api.postato.com.br/v1/workspaces/string/posts/string"{
"property1": null,
"property2": null
}{
"error": "not_found"
}List posts
List posts in the active workspace with optional filters for status, platform, and post type. Returns a paginated result with numbered pages.
Update a post
Partially update a post — currently supports changing status (e.g. publishing a draft or cancelling a scheduled post). Returns 404 if the post does not exist.